stockfish (18-0.1mx23) mx; urgency=medium

  * New upstream version.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jul 2026 16:45:32 -0700

stockfish (17-1) unstable; urgency=medium

  * New upstream version.
  * Standards 4.7.2 (no real change).
  * Depend on debhelper-compat rather than debhelper.

 -- Milan Zamazal <pdm@debian.org>  Sat, 03 May 2025 19:47:24 +0200

stockfish (16-1) unstable; urgency=medium

  * New upstream version.
  * Fix FTCBFS: Defer stripping to dh_strip; thanks to Helmut Grohne;
    closes: #1051456.
  * Standards 4.6.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 11 Nov 2023 21:21:24 +0100

stockfish (15.1-4) unstable; urgency=medium

  * Yet another attempt of -latomic fix; thanks to Adrian Bunk for
    providing and testing the fix.

 -- Milan Zamazal <pdm@debian.org>  Wed, 15 Feb 2023 22:21:58 +0100

stockfish (15.1-3) unstable; urgency=medium

  * Use -latomic on `general-32' architecture.

 -- Milan Zamazal <pdm@debian.org>  Tue, 14 Feb 2023 20:30:18 +0100

stockfish (15.1-2) unstable; urgency=medium

  * Standards 4.6.2 (no real change).
  * Make sure -latomic is used on armel and mipsel; closes: #1030525.

 -- Milan Zamazal <pdm@debian.org>  Mon, 14 Feb 2023 19:12:38 +0100

stockfish (15.1-1) unstable; urgency=medium

  * New upstream version; closes: #1023319.
  * Standards 4.6.1 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 05 Dec 2022 19:54:27 +0100

stockfish (14.1-1) unstable; urgency=medium

  * New upstream version; closes: #1001265.
  * Standards 4.6.0 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Fri, 31 Dec 2021 19:39:06 +0100

stockfish (12-2) unstable; urgency=medium

  * Fix FBTFS on i386; thanks to Sven Joachim; closes: #979519.

 -- Milan Zamazal <pdm@debian.org>  Thu, 07 Jan 2021 21:18:11 +0100

stockfish (12-1) unstable; urgency=medium

  * New upstream version.
  * Standards 4.5.1 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Wed, 06 Jan 2021 20:35:55 +0100

stockfish (11-1) unstable; urgency=medium

  * New upstream version.
  * Standards 4.5.0 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 27 Jan 2020 21:56:03 +0100

stockfish (9-2) unstable; urgency=medium

  * rules: Workaround of a gcc bug causing FTBFS on many architectures
    applied; thanks to Adrian Bunk <bunk@debian.org>; closes: #904139.
  * Standards 4.2.1 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 08 Sep 2018 21:32:46 +0200

stockfish (9-1) unstable; urgency=medium

  * New upstream version.
  * Standards 4.1.5 (no real change).
  * Debhelper compatibility level increased to 10.

 -- Milan Zamazal <pdm@debian.org>  Wed, 11 Jul 2018 14:02:55 +0200

stockfish (8-4) unstable; urgency=medium

  * Fix use of DEB_{BUILD,HOST}_* variables; thanks to
    Helmut Grohne <helmut@subdivi.de>.
  * Home page location updated.

 -- Milan Zamazal <pdm@debian.org>  Wed, 16 May 2018 22:00:21 +0200

stockfish (8-3) unstable; urgency=low

  * Set architecture bits from dpkg-architecture.
  * Patch to exclude -m$(bits) compiler flag; thanks to Sven Joachim.
  * Old unused patches removed.

 -- Milan Zamazal <pdm@debian.org>  Sat, 12 Nov 2016 18:55:54 +0100

stockfish (8-2) unstable; urgency=low

  * Build with ARCH=general-64 by default.

 -- Milan Zamazal <pdm@debian.org>  Thu, 10 Nov 2016 21:05:09 +0100

stockfish (8-1) unstable; urgency=low

  * New upstream version; closes: #843696.
  * Enable parallel build.

 -- Milan Zamazal <pdm@debian.org>  Wed, 09 Nov 2016 19:45:41 +0100

stockfish (7-1) unstable; urgency=medium

  * New maintainer; closes: #835314.
  * Standards 3.9.8 (no real changes).

 -- Milan Zamazal <pdm@debian.org>  Mon, 17 Oct 2016 21:28:24 +0200

stockfish (7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 7 (Closes: #759003)
    - this bug was already fixed in version 6.
  * Bump std-version to 3.9.6, no changes required.
  * Update copyright file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Jan 2016 19:04:47 +0100

stockfish (6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 6 (Closes: #797327)
    - Closes: #699309 (fixed in 5.0 according to bug comment #17)
  * Drop quilt.
  * Update watch file.
  * Use quilt format.
  * Update copyright file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Oct 2015 14:46:27 +0200

stockfish (5.0.dd+git20140823-1) unstable; urgency=low

  * New Upstream Version 5 (Closes: #756546)
  * No polyglot.ini in the sources anymore, patch removed
  * I am considering moving to the sources with Syzygy tablebases. If 
    anybody has an opinion on that matter file a bug with explanation.

 -- Oliver Korff <ok@xynyx.de>  Sat, 23 Aug 2014 16:43:44 +0200

stockfish (4.0.dd+git20140122-1) unstable; urgency=low

  * New Upstream Version 4 (Closes: #730504)
  * Removed makefile_patch_02 not needed anymore 
  * Upgraded to Standards-Version 3.9.5, no package changes
  * Changed the binary path in polyglot.ini to /usr/games/stockfish 
    Thx to Francesco Poli for filing the bug (Closes: #728920)
  * Changes to the watchfile, but this will not help scanning for new 
    Versions. 

 -- Oliver Korff <ok@xynyx.de>  Thu, 20 Feb 2014 22:31:10 +0100

stockfish (3.0.0+git20130508-2) unstable; urgency=low

  * Upstream version 3.(Closes: #706554) 
  * After fighting with the chroot environment on merulo I solved the 
    build problem on ia64 and added a target for the arch to the rules file: 
    profile-build ARCH=general-64 optimize=no (Closes: #679174)

 -- Oliver Korff <ok@xynyx.de>  Sun, 09 Jun 2013 21:07:19 +0200

stockfish (3.0.0+git20130508-1) unstable; urgency=low

  * New Upstream version. (Closes: #706554)
  * The prefetch behaviour is now changed by upstream, so the 
    makefile_patch_03 is not needed anymore.

 -- Oliver Korff <ok@xynyx.de>  Sat, 08 Jun 2013 16:34:32 +0200

stockfish (2.3.1+git20121008-2) unstable; urgency=low

  * FTBFS on various archs due to a Makefile target change. This is fixed 
    now by changing the prefetch behaviour. 

 -- Oliver Korff <ok@xynyx.de>  Fri, 12 Oct 2012 02:23:09 +0200

stockfish (2.3.1+git20121008-1) unstable; urgency=low

  * New Upstream version.
  * Updated to Standards-Version 3.9.4. No package changes.
  * Use dh_auto_build in rules (instead of make directly) and compat 
    level 9 instead of 7. This sets the hardening build flags by 
    default. 
    The controlfile had to be ajusted to debhelper (>= 9). And the 
    patch makefile_patch_02 is intrduced to make the hardening 
    environment CXXFLAGS and LDFLAGS visible to the makefile.


 -- Oliver Korff <ok@xynyx.de>  Thu, 11 Oct 2012 17:05:55 +0200

stockfish (2.2.2+git20120201-1) unstable; urgency=low

  * New Upstream version.

 -- Oliver Korff <ok@xynyx.de>  Thu, 02 Feb 2012 00:01:04 +0100

stockfish (2.2.1+git20120109-1) unstable; urgency=low

  * New Upstream version.
  * Removed debian/patches/add-lgov-linker.patch: makes build fail on debian,
    the upstream Makefile now includes lgcov.

 -- Oliver Korff <ok@xynyx.de>  Mon, 09 Jan 2012 23:30:22 +0100

stockfish (2.1.1+git20111006-2) unstable; urgency=low

  * debian/patches/add-lgov-linker.patch: Add -lgcov library linker to fixing
    FTBFS ld no-add-needed. (LP: #832862) Thanks to Mahyuddin Susanto.

 -- Oliver Korff <ok@xynyx.de>  Tue, 08 Nov 2011 10:16:52 +0100

stockfish (2.1.1+git20111006-1) unstable; urgency=low

  * Upstream has now moved to git. 
    https://github.com/mcostalba/Stockfish.git
    All changes are said to be code cleanups and no feature changes.
  * Debian specific update to support m86k. 
  * Basic support for DEB_BUILD_OPTIONS. The option nocheck will drop
    the testsuite and noopts will at least drop the profiling.
  * Adjusted download location in copyright.

 -- Oliver Korff <ok@xynyx.de>  Thu, 15 Sep 2011 00:12:59 +0200

stockfish (2.1.1-1) unstable; urgency=low

  * New Upstream version. Its a maintenance release.
  * Repack of the source distribution due to the included binary files. Removed: 
    stockfish-211-64-ja stockfish-211-32-ja stockfish-211-64-ja.exe 
    stockfish-211-32-ja.exe stockfish-211-android-ja
  * Removed build dependency to g++-4.4 (>= 4.4.5), maybe we don't need this 
    anymore. Lets see, if the other architectures will build fine...
  * Updated to Standards-Version 3.9.2. No package changes.
  * Removed duplicat Homepage field from contreol.

 -- Oliver Korff <ok@xynyx.de>  Tue, 10 May 2011 09:29:35 +0200

stockfish (2.0.1-2) unstable; urgency=low

  * Upload to unstable.
  * For sparc there is no profiling anymore, because I never received more 
    info on the bugreport. (Closes: #599979)
  * Added a Homepage: field to control file. 

 -- Oliver Korff <ok@xynyx.de>  Thu, 24 Feb 2011 16:28:14 +0100

stockfish (2.0.1-1) experimental; urgency=low

  * New Upstream version.
  * Upstream uses now the RKISS random generator for hash keys (courtesy of 
    Heinz van Saanen) instead of mersenne, so I adjusted the copyright notice.

 -- Oliver Korff <ok@xynyx.de>  Tue, 11 Jan 2011 09:31:01 +0100

stockfish (1.9.1-3) experimental; urgency=low

  * The build problems on sparc are still present due to the old 
    installed new gcc packages. In my opinion the right way to deal with 
    that is to adjust the builddepends to the g++-4.4 (>= 4.4.5-1~) version, 
    that is working on the the porter-boxes. This version is also the current 
    in testing and unstable. The build systems on lebrun should be updated.
  * On ia64 the build fails with an: "internal compiler error" To prevent this 
    I will disable the profiling there. The g++ is now current here. The 
    behavior is different on the porterbox merulo. The plan is to report 
    upstream and test profiling in experimental next release again.

 -- Oliver Korff <ok@xynyx.de>  Sun, 07 Nov 2010 14:14:39 +0100

stockfish (1.9.1-2) experimental; urgency=low

  * The encountered build problems on sparc and ia64 should now be solved 
    by the installed new gcc packages. Old gcc/g++ versions broke 
    optimization and profile build. The corresponding bugs No. 599979 
    and 599977. Will be closed after successful builds.

 -- Oliver Korff <ok@xynyx.de>  Sat, 16 Oct 2010 23:18:55 +0200

stockfish (1.9.1-1) experimental; urgency=low

  * New Upstream Version.
  * Repack removed the linux binaries and adjusted the source dir.
  * Updated to Standards Version 3.9.1
  * Fixed a typo in debian/control
  * Introduced debian/source/format, with 1.0 entry, I see no reason 
    for switching to quilt ATM
  * I switched from: Recomments: polyglot, xboard | scid to Suggests,
    This solves a problem, that Adrian Petrescu has, maybe it is more
    convenient, and solves the ubuntu bug Nr. 652772.

 -- Oliver Korff <ok@xynyx.de>  Mon, 11 Oct 2010 15:20:04 +0200

stockfish (1.8.0-5) unreleased; urgency=low

  * Joona Kiiski found a problem in the Makefile, that might affect 
    the proper building of the sources. This is fixed with the 
    makefile_patch.  

 -- Oliver Korff <ok@xynyx.de>  Mon, 05 Jul 2010 20:52:08 +0200

stockfish (1.8.0-4) unstable; urgency=low

  * Upstream suggested to add a testrun to the buildprocess to ensure,
    the binaries are fully functional.

 -- Oliver Korff <ok@xynyx.de>  Mon, 05 Jul 2010 17:26:52 +0200

stockfish (1.8.0-3) unstable; urgency=low

  * alpha is not building, so the profiling is disabled
  * removed a typo in rules file

 -- Oliver Korff <ok@xynyx.de>  Mon, 05 Jul 2010 16:32:36 +0200

stockfish (1.8.0-2) unstable; urgency=low

  * Building a profiled stockfish on armel, powerpc and hppa fails, 
    Solution: turn off the profiling, until this is further inspected.
  * Updated to standards version 3.8.4, without any changes

 -- Oliver Korff <ok@xynyx.de>  Mon, 05 Jul 2010 10:05:13 +0200

stockfish (1.8.0-1) unstable; urgency=low

  * New Upstream Release
  * Removed the binarys in Linux subdir 
  * Adjusted the copyright to point to www.stockfishchess.com
  * Added arch specific targets in rules file
  * No more patches, I will remove quilt dependency, if it stays this way

 -- Oliver Korff <ok@xynyx.de>  Mon, 05 Jul 2010 00:35:01 +0200

stockfish (1.7.1JA-2) unstable; urgency=low

  * a faulty mips compile workaround with -DBIGENDIAN broke the mipsel
    compile. Reset of this should make this work again.

 -- Oliver Korff <ok@xynyx.de>  Sun, 16 May 2010 11:44:51 +0200

stockfish (1.7.1JA-1) unstable; urgency=low

  * New Upstream bugfix Release
  * Removed the binarys in Linux and Windows subdir
  * mips compile was not working, added -DBIGENDIAN
  * Set UCI option for zugzwang detection to "on" by default

 -- Oliver Korff <ok@xynyx.de>  Thu, 15 Apr 2010 15:30:22 +0200

stockfish (1.7.0JA-2) unstable; urgency=low

  * The stockfish bin segfaults on hppa, powerpc, s390, sparc, so a 
    -DBIGENDIAN was added on these archs.

 -- Oliver Korff <ok@xynyx.de>  Sun, 11 Apr 2010 23:11:14 +0200

stockfish (1.7.0JA-1) unstable; urgency=low

  * New Upstream Release
  * Removed the binarys in Linux and Windows subdir
  * Adjusted the copyright to match the current status, added Joona Kiiski
  * Renewed the msse-removal patch, to work on the new source 

 -- Oliver Korff <ok@xynyx.de>  Sat, 10 Apr 2010 14:40:58 +0200

stockfish (1.6.3JA-2) unstable; urgency=low

  * rules: "make clean" compiles a .depend with -msse. This fails on 
    architectures other than i386. With this fix it is ensured that 
    the .depend exists even if the quilt patches are not applied. 
    Thanks to Christoph Berg for finding the problem. (Closes: #570665)

 -- Oliver Korff <ok@xynyx.de>  Mon, 22 Feb 2010 10:17:50 +0100

stockfish (1.6.3JA-1) unstable; urgency=low

  * Ńew upstream version. This is a bugfix version. It contains the patches, 
    which were already in 1.6.2 and addresses some multi threading bugs. No 
    enhancement in playing strength.
  * Updated to standards version 3.8.4, there was nothing todo.
  * Included a watchfile for documentation purpose only.
  * Added a description to the msse patch.

 -- Oliver Korff <ok@xynyx.de>  Fri, 05 Feb 2010 00:41:18 +0100

stockfish (1.6.2JA-3) unstable; urgency=low

  * The bugfix patch contained an irritating bug itself. On commandline 
    after "go infinite", and "stop" there is no bestmove prited out. The 
    problem and fix was reported by Joona Kiiski, thanks.

 -- Oliver Korff <ok@xynyx.de>  Fri, 15 Jan 2010 21:27:36 +0100

stockfish (1.6.2JA-2) unstable; urgency=low

  * "Search until stop command bug" fixed. This is only necessary 
    for GUIs like scid and was fixed by Marco Costelba. Patch was 
    Released in the http://talkchess.com forum.

 -- Oliver Korff <ok@xynyx.de>  Mon, 11 Jan 2010 14:44:12 +0100

stockfish (1.6.2JA-1) unstable; urgency=low

  * New upstream version.
  * This version still uses the SSE extensions. These are not usable 
  for debian. I decided to use the quilt patch system to work with resulting 
  patch for the makefile and tt.cpp.
  * Renewed the rules file to use the new dh standards

 -- Oliver Korff <ok@xynyx.de>  Wed, 06 Jan 2010 13:26:08 +0100

stockfish (1.5.1JA-3) unstable; urgency=low

  * Thanks to Joona Kiiski I could remove the -msse option from the 
  gcc flags and stockfish might now build on other architectures.
  Problem was the include of xmmintrin.h, that holds the SSE extensions.
  Marc Costelba: "in any case is only a speed optimization, not a 
  functional change."
  * Change of Architecture: any in debian control 

 -- Oliver Korff <ok@xynyx.de>  Wed, 16 Dec 2009 00:07:49 +0100

stockfish (1.5.1JA-2) unstable; urgency=low

  * FTBS Bug: I had to find out, that stockfish uses architecture 
    specific SSE extensions. At the moment I counter this by specifying 
    the architectures, that are known to work: i386 amd64 kfreebsd-amd64 
    kfreebsd-i386 kfreebsd-amd64. This matter will be discussed with 
    upstream. (Closes: 559724)
  * Removed knights from Recommends: field, the package is not up to date
  * Adjusted the description slightly

 -- Oliver Korff <ok@xynyx.de>  Mon, 07 Dec 2009 16:19:46 +0100

stockfish (1.5.1JA-1) unstable; urgency=low

  * New Upstream Release
  * The source was downloaded from mediafire.com
  * It came as .zip file and was repackaged, the files stockfish_151_ja.exe 
    stockfish_151_win98.exe and stockfish_151_x64_ja.exe have been removed. 
    The source has been kept unchanged.
  * Initial official release (Closes: #550566)  

 -- Oliver Korff <ok@xynyx.de>  Sat, 10 Oct 2009 16:32:08 +0200

stockfish (1.4.1JA-1) unofficial; urgency=low

  * Initial unofficial release 
  * The source came as .rar file it had to be repackaged

 -- Oliver Korff <ok@xynyx.de>  Tue, 11 Aug 2009 18:57:23 +0200
